eoFitContinue(3)

NAME
eoFitContinue - Fitness continuation:.

SYNOPSIS

#include <eoFitContinue.h>

Inherits eoContinue< EOT >< EOT >.

  Public Types
typedef EOT::Fitness FitnessType
Define Fitness.

  Public Member Functions
eoFitContinue (const FitnessType _maximum)
Ctor.
virtual bool operator() (const eoPop< EOT > &_pop)
Returns false when a fitness criterium is reached.
virtual std::string className (void) const

  Private Attributes
FitnessType maximum

Detailed Description

  template<class EOT> class eoFitContinue< EOT >
Fitness continuation:. Continues until the maximum fitness level is reached.

Definition at line 36 of file eoFitContinue.h.

Member Function Documentation

  template<class EOT> virtual bool eoFitContinue< EOT >::operator() (const eoPop< EOT > & _pop) [inline, virtual]

Returns false when a fitness criterium is reached.

Assumes pop is not sorted!

Implements eoUF< const eoPop< EOT > &, bool >.

Definition at line 48 of file eoFitContinue.h.

References eoPop< EOT >::nth_element_fitness().

Author

Generated automatically by Doxygen for EO from the source code.